Debian Bug report logs - #569219
Document transitional and meta-packages

version graph

Package: developers-reference; Maintainer for developers-reference is Developers Reference Maintainers <debian-policy@lists.debian.org>; Source for developers-reference is src:developers-reference.

Reported by: Luca Falavigna <dktrkranz@debian.org>

Date: Wed, 10 Feb 2010 20:51:02 UTC

Severity: wishlist

Tags: patch

Found in version developers-reference/3.4.3

Fixed in version developers-reference/3.4.7

Done: David Prévot <taffit@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#569219; Package developers-reference. (Wed, 10 Feb 2010 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
New Bug report received and forwarded. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 10 Feb 2010 20:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Document transitional and meta-packages
Date: Wed, 10 Feb 2010 21:47:07 +0100
[Message part 1 (text/plain, inline)]
Package: developers-reference
Version: 3.4.3
Severity: wishlist
Tags: patch

We have several meta-packages and transitional packages in the archive, some of them do not document that anywhere in their description.

Users should be given such an information, so they can decide to remove some to save disk space and to remove useless packages from the system.

I propose to clearly state a package is a meta-package or a transitioanl package in the long description. This is a common practice already.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-486
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[meta_transitional.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#569219; Package developers-reference. (Thu, 25 Feb 2010 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Thu, 25 Feb 2010 10:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 569219@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Luca Falavigna <dktrkranz@debian.org>, 569219@bugs.debian.org
Cc: Developers Reference Maintainers <debian-policy@lists.debian.org>
Subject: Re: Bug#569219: Document transitional and meta-packages
Date: Thu, 25 Feb 2010 11:23:43 +0100 (CET)
On Wed, 10 Feb 2010, Luca Falavigna wrote:

> Package: developers-reference
> Version: 3.4.3
> Severity: wishlist
> Tags: patch
> 
> We have several meta-packages and transitional packages in the archive, some of them do not document that anywhere in their description.
> 
> Users should be given such an information, so they can decide to remove some to save disk space and to remove useless packages from the system.
> 
> I propose to clearly state a package is a meta-package or a transitioanl package in the long description. This is a common practice already.


For the purpose of removing useless packages, I would propose that
transitional packages are always "priority: extra" and "section: oldlibs".

That would make deborphan to mark them as "packages that may be removed".




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#569219; Package developers-reference. (Sat, 30 Jul 2011 14:16:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sat, 30 Jul 2011 14:16:33 GMT) Full text and rfc822 format available.

Message #15 received at 569219@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Santiago Vila <sanvila@unex.es>, 569219@bugs.debian.org
Cc: Luca Falavigna <dktrkranz@debian.org>, Developers Reference Maintainers <debian-policy@lists.debian.org>, control@bugs.debian.org
Subject: Re: Bug#569219: Document transitional and meta-packages
Date: Sat, 30 Jul 2011 16:02:45 +0200
tags 569219 - patch
thanks

On 25/02/10 at 11:23 +0100, Santiago Vila wrote:
> On Wed, 10 Feb 2010, Luca Falavigna wrote:
> 
> > Package: developers-reference
> > Version: 3.4.3
> > Severity: wishlist
> > Tags: patch
> > 
> > We have several meta-packages and transitional packages in the archive, some of them do not document that anywhere in their description.
> > 
> > Users should be given such an information, so they can decide to remove some to save disk space and to remove useless packages from the system.
> > 
> > I propose to clearly state a package is a meta-package or a transitioanl package in the long description. This is a common practice already.
> 
> 
> For the purpose of removing useless packages, I would propose that
> transitional packages are always "priority: extra" and "section: oldlibs".
> 
> That would make deborphan to mark them as "packages that may be removed".

Right. Could someone update the patch?

Thanks

- Lucas




Removed tag(s) patch. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Sat, 30 Jul 2011 14:16:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#569219; Package developers-reference. (Mon, 15 Aug 2011 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 15 Aug 2011 13:33:03 GMT) Full text and rfc822 format available.

Message #22 received at 569219@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: Santiago Vila <sanvila@unex.es>, 569219@bugs.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>
Subject: Re: Bug#569219: Document transitional and meta-packages
Date: Mon, 15 Aug 2011 15:29:57 +0200
[Message part 1 (text/plain, inline)]
tags 569219 + patch
thanks


Il 30/07/2011 16:02, Lucas Nussbaum ha scritto:
>> For the purpose of removing useless packages, I would propose that
>> transitional packages are always "priority: extra" and "section: oldlibs".
>>
>> That would make deborphan to mark them as "packages that may be removed".
> 
> Right. Could someone update the patch?

Patch refreshed with Santiago's suggestions.
I took the time to expand it a little bit.

-- 
  .''`.
 :  :' :   Luca Falavigna <dktrkranz@debian.org>
 `.  `'
   `-
[meta_transitional.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Mon, 15 Aug 2011 13:33:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Tue, 06 Sep 2011 16:51:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#569219; Package developers-reference. (Tue, 06 Sep 2011 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 06 Sep 2011 16:57:03 GMT) Full text and rfc822 format available.

Message #31 received at 569219@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Luca Falavigna <dktrkranz@debian.org>, 569219@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Santiago Vila <sanvila@unex.es>
Subject: Re: Bug#569219: Document transitional and meta-packages
Date: Tue, 6 Sep 2011 18:55:57 +0200
[Message part 1 (text/plain, inline)]
On Mon, 15 Aug 2011, Luca Falavigna wrote:
> > Right. Could someone update the patch?
> 
> Patch refreshed with Santiago's suggestions.
> I took the time to expand it a little bit.

I merged it but I changed the wording (hopefully improving it!).
Cf attached patch.

Thanks for your contribution!

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)
[patch (text/plain, attachment)]

Reply sent to David Prévot <taffit@debian.org>:
You have taken responsibility. (Thu, 19 Jan 2012 20:51:04 GMT) Full text and rfc822 format available.

Notification sent to Luca Falavigna <dktrkranz@debian.org>:
Bug acknowledged by developer. (Thu, 19 Jan 2012 20:51:04 GMT) Full text and rfc822 format available.

Message #36 received at 569219-close@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 569219-close@bugs.debian.org
Subject: Bug#569219: fixed in developers-reference 3.4.7
Date: Thu, 19 Jan 2012 20:48:50 +0000
Source: developers-reference
Source-Version: 3.4.7

We believe that the bug you reported is fixed in the latest version of
developers-reference, which is due to be installed in the Debian FTP archive:

developers-reference-de_3.4.7_all.deb
  to main/d/developers-reference/developers-reference-de_3.4.7_all.deb
developers-reference-fr_3.4.7_all.deb
  to main/d/developers-reference/developers-reference-fr_3.4.7_all.deb
developers-reference-ja_3.4.7_all.deb
  to main/d/developers-reference/developers-reference-ja_3.4.7_all.deb
developers-reference_3.4.7.dsc
  to main/d/developers-reference/developers-reference_3.4.7.dsc
developers-reference_3.4.7.tar.bz2
  to main/d/developers-reference/developers-reference_3.4.7.tar.bz2
developers-reference_3.4.7_all.deb
  to main/d/developers-reference/developers-reference_3.4.7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 569219@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Prévot <taffit@debian.org> (supplier of updated developers-reference package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 17 Jan 2012 16:36:12 -0400
Source: developers-reference
Binary: developers-reference developers-reference-de developers-reference-fr developers-reference-ja
Architecture: source all
Version: 3.4.7
Distribution: unstable
Urgency: low
Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
Changed-By: David Prévot <taffit@debian.org>
Description: 
 developers-reference - guidelines and information for Debian developers
 developers-reference-de - guidelines and information for Debian developers, in German
 developers-reference-fr - guidelines and information for Debian developers, in French
 developers-reference-ja - guidelines and information for Debian developers, in Japanese
Closes: 569219 629530 643929 643930 643931 643932 643933 643934 643935 655096 655153
Changes: 
 developers-reference (3.4.7) unstable; urgency=low
 .
   * Team upload.
 .
   [ Raphaël Hertzog ]
   * Document some best practices for meta-packages. Extend those for
     transitional packages. Based on a patch by Luca Falavigna
     <dktrkranz@debian.org> (thanks!). Closes: #569219
   * Update license pointer to correctly point to GPL-2. Closes: #643929
     Thanks to Luca Falavigna.
   * Update URL of Debian Mentors FAQ. Closes: #643930
     Thanks to Luca Falavigna for the patch.
   * Refresh some release-specific information. Closes: #643931
     Based on a patch by Luca Falavigna.
   * Refresh some ftpmaster-related information. Closes: #643932
     Thanks to Luca Falavigna for the patch.
   * Update minimal GPG key length to match current requirements.
     Closes: #643933 Thanks to Luca Falavigna for the patch.
   * Update login information for rt.debian.org. Closes: #643934
     Thanks to Luca Falavigna for the patch.
   * Drop section about yada. Its usage is highly discouraged. Closes: #643935
     Thanks to Luca Falavigna for the patch.
   * Update best practice about unfuzzying PO file translations to recommend
     msguntypot. Thanks to David Prévot for the patch.
     Acked-by Christian Perrier. Closes: #655153
 .
   [ David Prévot ]
   * Add doc-base file for the German translation.
   * Typo fix, thanks to Andreas Moog. Closes: #655096
   * Use XeTeX backend, that fix quotes in examples. Closes: #629530
   * Build the Japanese PDF, thanks to Osamu Aoki and the maint-guide build
     process.
 .
   * Translation updates (all completed)
     - Japanese by Hideki Yamane.
     - German by Chris Leick.
     - French by David Prévot.
Checksums-Sha1: 
 07d537e5047d07c0a4a63a0a634f9e5ea28c7d28 2236 developers-reference_3.4.7.dsc
 335a6bc01eb768235d756f90d1153e5902cf8bff 653774 developers-reference_3.4.7.tar.bz2
 23ed2d29b0d93a39ac7a9a9200950090f6982341 694234 developers-reference_3.4.7_all.deb
 591951e359219c137c9f9ca16dfc8d28ad94ceb6 772434 developers-reference-de_3.4.7_all.deb
 87fe948293456c0a0bad44b22225adf4c594d6b0 751928 developers-reference-fr_3.4.7_all.deb
 30193d3c19a35623f531d2f95e1b93c394430041 1193226 developers-reference-ja_3.4.7_all.deb
Checksums-Sha256: 
 f7b2d4b33610cfe10d5745032eb54877854235ae29dbed9689297b301309d3ee 2236 developers-reference_3.4.7.dsc
 cbe0e52b61d041bd54a48f7d4000decdeb227397a0a22072a5c99778cff82dae 653774 developers-reference_3.4.7.tar.bz2
 63a188fa918d0cfe2e80b3406b534268951ac69c22963dad11191b6abe2b53ff 694234 developers-reference_3.4.7_all.deb
 b0fae103033e27d1d836369847d355485ca2fd1b5d0e617cfb1caf52de017018 772434 developers-reference-de_3.4.7_all.deb
 d55e2606462e66f43c5fd388b91cbd82a7c1e53669764ce7cb06dbbefab8085f 751928 developers-reference-fr_3.4.7_all.deb
 0e5b2a9a747350a70c9e434b2dc0500572dd719e2816afb4a3749f41e7ce167e 1193226 developers-reference-ja_3.4.7_all.deb
Files: 
 21e6ba5a10c2107b2fa47af60d5dd7c7 2236 doc optional developers-reference_3.4.7.dsc
 ee399c35ad753abfe1a8d43ed2411216 653774 doc optional developers-reference_3.4.7.tar.bz2
 9b0c02ed87d50455c62094b649ff03f7 694234 doc optional developers-reference_3.4.7_all.deb
 4c6b522f83e951c4212e359e20f24ff8 772434 doc optional developers-reference-de_3.4.7_all.deb
 50b4150d8b4380d715cc861b29f88c91 751928 doc optional developers-reference-fr_3.4.7_all.deb
 d749b22d72eba528bb5a54a8295688f0 1193226 doc optional developers-reference-ja_3.4.7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPFeE1AAoJELgqIXr9/gny97sQAJSsCnWuKmV0GrQbi9mvNYhj
m1nvVq9NwQ90Lyu42YqbbfJQZOChN46Me2ArdSi9RjmsskdX+UM/CyuCkWNCKiKM
cEGeaZXbMAH+cxWdw3PCCJaW/iXc++GA20g6WMVudTSUd3VO2wS6l5u/pqOY6Zyd
haMNfFQlrg3zu42mxtgiAHuNVkqaEUDTfVoFvf8kZJZKVRpv54W7YickyZAwL2G0
sZ6xXfvjl7B5xBKkrsT+fnz3ToZyvgU51GfyAA2clAMiLi/Iz8EfWSHR7Wh30V9Y
+F3INoy1ugVPC28gs9VKtT8xvHlXBofkwxWFMX6g7jICo9NMMd+x29oUmArzohtu
EjviRU4wMa98ag2wj4/ktCAktcy+E5G+DAy+txXXzaBFRp019O9tu62tR4DlDhyk
JjMZSmNCsEFOX5KACbRerwZazQvLOIx7kJHwYkBzD/TkIJuakZw/d3i+J5dIoNBu
lsoPBxsYE09/zLDysOnPo6qV9B7rEnIO6prvUHQYmzvMZ0Ir3n1hh4eV4rdPT3DG
ORy2Ra3e9dakHLLAYQd/YXe8vsL6G4g14KK4FECSyiWTQUKUk7H9hAgG4g7UbSvy
18p3g0FacbOUk8CR/X3gIZIOLMf1dsb+FE1T9XIBFquUUG2SWIXR28kbNzhTu9yF
sH+zpuw5cJW4O0Bt//PH
=IRnS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 Feb 2012 07:33:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:31:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.